org.gjt.sp.jedit.msg

## Class PropertiesChanging

- java.lang.Object
- - org.gjt.sp.jedit.EBMessage
  - - org.gjt.sp.jedit.msg.PropertiesChanging

-     public class PropertiesChanging
      extends EBMessage

  Message sent right before the global options dialog is shown. This allows plugins to flush any state before the options pane is loaded and the properties are read by the panes.
  Since:
    jEdit 4.3pre9

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PropertiesChanging.State`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertiesChanging(EBComponent source, PropertiesChanging.State state)` Creates a new properties changing message.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `PropertiesChanging.State` | `getState()`

    - ### Methods inherited from class org.gjt.sp.jedit.EBMessage

      `getSource, paramString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertiesChanging

          public PropertiesChanging(EBComponent source,
                            PropertiesChanging.State state)

      Creates a new properties changing message.
      Parameters:
        `source` - The message source
        `state` - An enum describing what is happening.

  - ### Method Detail

    - #### getState

          public PropertiesChanging.State getState()